%define libver		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{libver} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		json-glib
Version:	0.15.2
Release:	%mkrel 2
Summary:	Library for JavaScript Object Notation format
Group:		System/Libraries
License:	LGPLv2+
URL:		http://live.gnome.org/JsonGlib
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk-doc
Requires:	%{libname} = %{version}

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %version-%release
Requires:	%{libname} = %{version}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %name
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 0.13.4-3

%description -n %{girname}
GObject Introspection interface description for %name.

%prep
%setup -q

%build
%configure2_5x	--disable-static
%make 

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang %{name}-%{libver}

%check
%make check

%files -f %{name}-%{libver}.lang

%files -n %{libname}
%{_libdir}/lib%{name}-%{libver}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Json-%{girmajor}.typelib

%files -n %{develname}
%doc NEWS ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/lib%{name}-%{libver}.so
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%{_includedir}/%{name}-%{libver}/
%{_datadir}/gir-1.0/Json-%{girmajor}.gir


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.15.2-2.mga3
+ Revision: 355620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 ovitters <ovitters> 0.15.2-1.mga3
+ Revision: 265641
- clean spec
- update file list
- new version 0.15.2

* Thu Oct 27 2011 wally <wally> 0.14.2-1.mga2
+ Revision: 158672
- new version 0.14.2

* Mon Sep 19 2011 fwang <fwang> 0.14.0-1.mga2
+ Revision: 145462
- update file list
- new version 0.14.0

* Sat Sep 10 2011 fwang <fwang> 0.13.90-1.mga2
+ Revision: 141981
- new version 0.13.90

* Thu Jul 07 2011 wally <wally> 0.13.4-3.mga2
+ Revision: 119838
- fix gir package name

* Tue Jul 05 2011 dmorgan <dmorgan> 0.13.4-2.mga2
+ Revision: 118858
- Make the lib package requires the gir one

* Mon Jul 04 2011 wally <wally> 0.13.4-1.mga2
+ Revision: 118146
- new version 0.13.4
- add a subpackage for gir .typelib
- disable static build for sure

* Sun Jan 23 2011 pterjan <pterjan> 0.12.2-1.mga1
+ Revision: 35445
- imported package json-glib

